(document:surround "/std/frame")
(document:insert "/std/functions")

(document:envelop with-translation _ "alterator-standalone")

width 600
height 560

(define *desktop-file* (global 'desktop-file))

(or 
  (and-let* (((not-empty-string? *desktop-file*))
	     (item (woo-read-first "/menu" 'desktopfile *desktop-file*))
	     (item-uri  (woo-get-option item 'uri #f))
	     (item-name  (woo-get-option item 'label #f))
	     (item-help (woo-get-option item 'help #f)) 
	     (help-path (woo-get-option (woo-read-first (string-append "/help/" item-help))
					'path)) )
	    (list help help-path
		  title item-name
		  (frame:make-page item-uri)))
  (label (_ "Desktop file not found") align "center"))

(label (string-append "<small>" (_ "Press F1 for help") "</small>"))

(document:root (when loaded (page-id loaded)))
